Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 716008 - media-plugins/gst-plugins-lv2-1.14.5 : fails to build with -fno-common or gcc-10
Summary: media-plugins/gst-plugins-lv2-1.14.5 : fails to build with -fno-common or gcc-10
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: Current packages (show other bugs)
Hardware: All Linux
: Normal normal (vote)
Assignee: GStreamer package maintainers
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: -fno-common
  Show dependency tree
 
Reported: 2020-04-03 11:01 UTC by Toralf Förster
Modified: 2020-05-26 16:16 UTC (History)
2 users (show)

See Also:
Package list:
Runtime testing required: ---


Attachments
emerge-info.txt (emerge-info.txt,16.50 KB, text/plain)
2020-04-03 11:01 UTC, Toralf Förster
Details
emerge-history.txt (emerge-history.txt,176.40 KB, text/plain)
2020-04-03 11:01 UTC, Toralf Förster
Details
environment (environment,110.51 KB, text/plain)
2020-04-03 11:01 UTC, Toralf Förster
Details
etc.portage.tbz2 (etc.portage.tbz2,16.36 KB, application/x-bzip)
2020-04-03 11:01 UTC, Toralf Förster
Details
logs.tbz2 (logs.tbz2,24.50 KB, application/x-bzip)
2020-04-03 11:01 UTC, Toralf Förster
Details
media-plugins:gst-plugins-lv2-1.14.5:20200403-080224.log (media-plugins:gst-plugins-lv2-1.14.5:20200403-080224.log,96.60 KB, text/plain)
2020-04-03 11:01 UTC, Toralf Förster
Details
temp.tbz2 (temp.tbz2,35.74 KB, application/x-bzip)
2020-04-03 11:01 UTC, Toralf Förster
Details
gst-plugins-lv2-1.16.2-gcc10.patch (gst-plugins-lv2-1.16.2-gcc10.patch,24.79 KB, patch)
2020-05-26 06:16 UTC, Peter Levine
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Toralf Förster gentoo-dev 2020-04-03 11:01:10 UTC
/usr/lib/gcc/x86_64-pc-linux-gnu/9.3.0/../../../../x86_64-pc-linux-gnu/bin/ld: .libs/libgstlv2_la-gstlv2utils.o:/var/tmp/portage/media-plugins/gst-plugins-lv2-1.14.5/work/gst-plugins-bad-1.14.5/ext/lv2/gstlv2.h:37: multiple definition of input_class; .libs/libgstlv2_la-gstlv2.o:/var/tmp/portage/media-plugins/gst-plugins-lv2-1.14.5/work/gst-plugins-bad-1.14.5/ext/lv2/gstlv2.h:37: first defined here
/usr/lib/gcc/x86_64-pc-linux-gnu/9.3.0/../../../../x86_64-pc-linux-gnu/bin/ld: .libs/libgstlv2_la-gstlv2utils.o:/var/tmp/portage/media-plugins/gst-plugins-lv2-1.14.5/work/gst-plugins-bad-1.14.5/ext/lv2/gstlv2.h:34: multiple definition of control_class; .libs/libgstlv2_la-gstlv2.o:/var/tmp/portage/media-plugins/gst-plugins-lv2-1.14.5/work/gst-plugins-bad-1.14.5/ext/lv2/gstlv2.h:34: first defined here

  -------------------------------------------------------------------

  This is an unstable amd64 chroot image at a tinderbox (==build bot)
  name: 17.1_desktop_plasma-libressl-20200329-091857

  -------------------------------------------------------------------

  Please see the tracker bug for details.

gcc-config -l:
 [1] x86_64-pc-linux-gnu-9.3.0 *
clang version 10.0.0 
Target: x86_64-pc-linux-gnu
Thread model: posix
InstalledDir: /usr/lib/llvm/10/bin
/usr/lib/llvm/10
10.0.0
Available Python interpreters, in order of preference:
  [1]   python3.8
  [2]   python3.7
  [3]   python3.6
  [4]   python2.7 (fallback)
Available Ruby profiles:
  [1]   ruby24 (with Rubygems)
  [2]   ruby25 (with Rubygems) *
Available Rust versions:
  [1]   rust-1.42.0 *
The following VMs are available for generation-2:
*)	IcedTea JDK 3.15.0 [icedtea-bin-8]
Available Java Virtual Machines:
  [1]   icedtea-bin-8  system-vm

The Glorious Glasgow Haskell Compilation System, version 8.0.2

timestamp of HEAD at this tinderbox image:
/var/db/repos/gentoo	Fri 03 Apr 2020 04:37:44 AM UTC
/var/db/repos/libressl	Thu 19 Mar 2020 04:37:24 PM UTC

emerge -qpvO media-plugins/gst-plugins-lv2
[ebuild  N    ] media-plugins/gst-plugins-lv2-1.14.5  ABI_X86="(64) -32 (-x32)"
Comment 1 Toralf Förster gentoo-dev 2020-04-03 11:01:12 UTC
Created attachment 629344 [details]
emerge-info.txt
Comment 2 Toralf Förster gentoo-dev 2020-04-03 11:01:15 UTC
Created attachment 629346 [details]
emerge-history.txt
Comment 3 Toralf Förster gentoo-dev 2020-04-03 11:01:18 UTC
Created attachment 629348 [details]
environment
Comment 4 Toralf Förster gentoo-dev 2020-04-03 11:01:20 UTC
Created attachment 629350 [details]
etc.portage.tbz2
Comment 5 Toralf Förster gentoo-dev 2020-04-03 11:01:23 UTC
Created attachment 629352 [details]
logs.tbz2
Comment 6 Toralf Förster gentoo-dev 2020-04-03 11:01:26 UTC
Created attachment 629354 [details]
media-plugins:gst-plugins-lv2-1.14.5:20200403-080224.log
Comment 7 Toralf Förster gentoo-dev 2020-04-03 11:01:29 UTC
Created attachment 629356 [details]
temp.tbz2
Comment 8 Peter Levine 2020-05-26 06:16:55 UTC
Created attachment 641808 [details, diff]
gst-plugins-lv2-1.16.2-gcc10.patch

Backported from https://gitlab.freedesktop.org/gstreamer/gst-plugins-bad/-/merge_requests/1125
Comment 9 Larry the Git Cow gentoo-dev 2020-05-26 16:16:06 UTC
The bug has been closed via the following commit(s):

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=e84f14e28a5ae1de520a518da5ce6abbcfe9a0f1

commit e84f14e28a5ae1de520a518da5ce6abbcfe9a0f1
Author:     Matthew Thode <prometheanfire@gentoo.org>
AuthorDate: 2020-05-26 16:09:26 +0000
Commit:     Matthew Thode <prometheanfire@gentoo.org>
CommitDate: 2020-05-26 16:09:26 +0000

    media-plugins/gst-plugins-lv2: fix gcc10 build
    
    Closes: https://bugs.gentoo.org/716008
    Package-Manager: Portage-2.3.99, Repoman-2.3.22
    Signed-off-by: Matthew Thode <prometheanfire@gentoo.org>

 .../gst-plugins-lv2/files/patch-1.16.2-gcc10.patch | 606 +++++++++++++++++++++
 ...6.2.ebuild => gst-plugins-lv2-1.16.2-r1.ebuild} |   4 +
 2 files changed, 610 insertions(+)